Subject: Re: [PATCH] e1000e: MSI interrupt test failed, using legacy interrupt

From: Prasanna Panchamukhi <[email-masked]>
Date: Fri, 27 Apr 2012 12:52:11 -0700

On 04/26/2012 06:40 PM, Ben Hutchings wrote:
> On Thu, 2012-04-26 at 17:05 -0700, [email-masked]
> wrote:
>> From: Prasanna S. Panchamukhi<[email-masked]>
>>
>> Following logs where seen on Systems with multiple NICs&  ports,
>> while using MSI interrupts as shown below:
> [...]
>> This patch changes the IRQ tests to use polling loops starting with a
>> delay of 1 tick and doubling that if necessary up to a maximum total
>> delay of approximately 1 second.
> [...]
>
> I don't think you entirely understood my point.  This exponential
> back-off was the best I could come up with for a self-test
> (ethtool -t) where we have to answer the question 'are interrupts
> working' in a reasonable time, and the user can decide for themselves
> whether this was a false negative.
>
> If you want a definite answer in order to make an automatic decision
> about interrupt modes, there really is no valid time limit.  I think the
This issue is not able interrupt mode selection.

-Prasanna
> proper way to do interrupt mode selection in an in-tree driver is to
> rely on no-MSI quirks for chipsets and devices in the PCI core.
>
> Ben.
>

------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired